Description

mail AM:

wenn ich es richtig sehe, verwendet der Specimen CDM Excel Import noch nicht die Remoting Implemen
tierung. Daher, und da der Import sowieso ohne User-Feedback kaum auszufiihren ist, sollten wir ihn
aus der Liste der Importe loschen.

Ich habe das versucht, aber nicht genau gefunden, wo man das macht. Kénntest du es machen. Viellei
cht kannst du dir das ja auch nochmal anschauen.

Vielleicht auch die Klasse
Interpretiere ich das richtig, dass die Klasse remoting nicht unterstitzt?

Ich komme darauf, weil ich CdmApplicationRemoteConfiguration jetzt von einer Basisklasse erben las
se, nicht mehr direkt von CdmApplicationConfiguration, um klarer zu machen, welche Methoden nur 1lo
cal existieren. Das war ein FIXME in der Klasse.

Daher habe ich auch ICdmRepository aufgeteilt und einen Teil der Methoden in ein neues Interface I
CdmLocalRepostiory verschoben.

Daher funktioniert in SpecimenCdmExcelImportWizard die Zeile
CdmStore.getImportManager () .run (configurator) ;

Auch nicht mehr und ich habe sie auskommentiert.

Das gleiche gilt auch fiir EndnoteImportWizard , der aber sowieso nicht verwendet wird wie es schei
nt.

Sollen wir SpecimenCdmExcelImportWizard und EndnoteImportWizard einfach komplett 1&schen und ggf.
neu aufsetzen bei Bedarf oder ist es besser, sie zu behalten?

The SpecimenExcel Import is not working in the actual state, so we decided to remove it from the TaxEditor, if an import is needed, it
can be run from the command line or reintegrated in the future.

The Endnote import is not available via menu entries so we only have to remove the wizard and handler code.

Associated revisions

Revision 93a7e8c3 - 01/06/2023 11:58 AM - Katja Luther

remove menu entries for SpecimenExcellmport and Endnote import

Revision a3072f4e - 01/06/2023 02:55 PM - Katja Luther

ref #10220: remove unused import code

Revision 3c8a6a95 - 01/12/2023 12:43 PM - Katja Luther
ref #10220: cleanup bundle.properties

Revision ab261bc7 - 01/12/2023 12:45 PM - Katja Luther

ref #10220: cleanup bundle.properties continue

Revision f16¢c3c79 - 01/12/2023 12:48 PM - Katja Luther
ref #10220: cleanup AppModelid

History

#1 - 01/06/2023 02:42 PM - Katja Luther

- Description updated

#2 - 01/06/2023 02:47 PM - Andreas Miiller

- Target version changed from Release 5.35 to Release 5.44

#3 - 01/06/2023 05:01 PM - Katja Luther

- Status changed from New to In Progress

classes and menu entries are removed, still needs some clean up (strings, comments etc)

#4 - 01/12/2023 12:49 PM - Katja Luther

- Status changed from In Progress to Closed

Cleanup finished, so we can close this ticket

#5 - 03/20/2023 03:53 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.36
